Package twisted :: Package mail :: Module relaymanager :: Class Queue |
[show private | hide private]
[frames | no frames]

## Class Queue

A queue of ougoing emails.

Method Summary
| `__init__(self, directory)`
| ``__getstate__`(self)` (internal) delete volatile state
| ``__setstate__`(self, state)` (internal) restore volatile state
| `addMessage(self, message)`
| ``createNewMessage`(self)` Create a new message in the queue.
| ``done`(self, message)` Remove message to from queue.
| `getEnvelopeFile(self, message)`
| ``getPath`(self, message)` Get the path in the filesystem of a message.
| `getRelayed(self)`
| `getWaiting(self)`
| `hasWaiting(self)`
| ``readDirectory`(self)` Read the messages directory.
| `relaying(self, message)`
| `waiting(self, message)`
| `_init(self)`

Method Details

### __getstate__(self) (internal) delete volatile state

### __setstate__(self, state) (internal) restore volatile state

### createNewMessage(self) Create a new message in the queue. Return a tuple - file-like object for headers, and ISMTPMessage.

### done(self, message) Remove message to from queue.

### getPath(self, message) Get the path in the filesystem of a message.

### readDirectory(self) Read the messages directory. look for new messages.

Generated by Epydoc 1.1 on Thu May 8 13:18:32 2003 | http://epydoc.sf.net